org.swixml.layoutconverters

## Class GridLayoutConverter

- java.lang.Object
- - org.swixml.layoutconverters.GridLayoutConverter

- All Implemented Interfaces:
    LayoutConverter

      public class GridLayoutConverter
      extends Object
      implements LayoutConverter

  A layout converter for `java.awt.GridLayout`.

  Examples:

       <panel layout="GridLayout">
         <panel ... />
         <panel ... />
       </panel>

       <panel layout="GridLayout(2,4)">
         ...
       </panel>

       <panel layout="GridLayout(2,4,10,20)">
         ...
       </panel>

       <panel>
         <layout type="GridLayout" rows="2" columns="4"/>
         ...
       </panel>

       <panel>
         <layout type="GridLayout" rows="2" columns="4" hgap="10" vgap="20"/>
         ...
       </panel>

  Author:
    Karl Tauber, Wolf Paulus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridLayoutConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convertConstraintsAttribute(Attribute attr)` Returns always `null`.
    `Object` | `convertConstraintsElement(Element element)` Returns always `null`.
    `LayoutManager` | `convertLayoutAttribute(Attribute attr)` Creates a GridLayout instance.
    `LayoutManager` | `convertLayoutElement(Element element)` Creates a GridLayout instance.
    `String` | `getID()` Returns "gridlayout".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridLayoutConverter

          public GridLayoutConverter()

  - ### Method Detail

    - #### getID

          public String getID()

      Returns "gridlayout".
      Specified by:
        `getID` in interface `LayoutConverter`

    - #### convertLayoutAttribute

          public LayoutManager convertLayoutAttribute(Attribute attr)

      Creates a GridLayout instance.

      Examples for Valid XML attribute notations:

      - `layout="GridLayout"`
      - `layout="GridLayout(int rows, int cols)"`
      - `layout="GridLayout(int rows, int cols, int hgap, int vgap)"`
      Specified by:
        `convertLayoutAttribute` in interface `LayoutConverter`

    - #### convertLayoutElement

          public LayoutManager convertLayoutElement(Element element)

      Creates a GridLayout instance.

      Attributes:

      - `rows` (optional): The number of rows.
      - `columns` (optional): The number of columns.
      - `hgap` (optional): The horizontal gap.
      - `vgap` (optional): The vertical gap.

      Examples for Valid XML element notations:

      - `<layout type="GridLayout"/>`
      - `<layout type="GridLayout" rows="4" columns="5"/>`
      - `<layout type="GridLayout" rows="2" columns="4" hgap="10" vgap="20"/>`
      Specified by:
        `convertLayoutElement` in interface `LayoutConverter`

    - #### convertConstraintsAttribute

          public Object convertConstraintsAttribute(Attribute attr)

      Returns always `null`.
      Specified by:
        `convertConstraintsAttribute` in interface `LayoutConverter`

    - #### convertConstraintsElement

          public Object convertConstraintsElement(Element element)

      Returns always `null`.
      Specified by:
        `convertConstraintsElement` in interface `LayoutConverter`

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.